<template>
  <slot v-if="isInitConnect && socket !== undefined" />
</template>

<script setup lang="ts">
import { useSocketStore } from '@new-jira-clone/libs/src/store';
import { useInitSocket } from '@/shared/api';

const { socket } = useSocketStore();
const { initSocketIfUserSigned, isInitConnect } = useInitSocket();

initSocketIfUserSigned();
</script>
